version: 1
name: Build/boot duration of the Linux kernel
description: Build and QEMU boot duration of the Linux kernel with clang
jobs:
- name: arm64-defconfig
  builds:
    # build 1
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 527b67efeefed739a17600205d06a8fbea1ae86a8da0cfc08e4953fdab2f5c92, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 527b67efeefed739a17600205d06a8fbea1ae86a8da0cfc08e4953fdab2f5c92, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 527b67efeefed739a17600205d06a8fbea1ae86a8da0cfc08e4953fdab2f5c92, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 527b67efeefed739a17600205d06a8fbea1ae86a8da0cfc08e4953fdab2f5c92, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 527b67efeefed739a17600205d06a8fbea1ae86a8da0cfc08e4953fdab2f5c92, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 527b67efeefed739a17600205d06a8fbea1ae86a8da0cfc08e4953fdab2f5c92, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 527b67efeefed739a17600205d06a8fbea1ae86a8da0cfc08e4953fdab2f5c92, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 527b67efeefed739a17600205d06a8fbea1ae86a8da0cfc08e4953fdab2f5c92, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 527b67efeefed739a17600205d06a8fbea1ae86a8da0cfc08e4953fdab2f5c92, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 527b67efeefed739a17600205d06a8fbea1ae86a8da0cfc08e4953fdab2f5c92, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
  test:
      device: qemu-arm64
